org.eclipse.rdf4j.lucene.spin

## Class LuceneSpinSail

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.SailWrapper
  - - org.eclipse.rdf4j.sail.helpers.NotifyingSailWrapper
    - - org.eclipse.rdf4j.lucene.spin.LuceneSpinSail

- All Implemented Interfaces:
    FederatedServiceResolverClient, NotifyingSail, Sail, StackableSail

  Deprecated.
  since 3.0. The experimental LuceneSpinSail is scheduled to be removed by the next major release.

      @Deprecated
       @Experimental
      public class LuceneSpinSail
      extends NotifyingSailWrapper

  Activates support of `SearchIndex` feature inside `SpinSail` and manages the index during statements adding/removing. Technically this sail binds `SearchIndex` using .addQueryContextInitializer and wraps connection from baseSail by wrapped which modify SearchIndex.
  Author:
    jacek grzebyta

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneSpinSail()` Deprecated.
    `LuceneSpinSail(SpinSail baseSail)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAbsentParameters(Properties parameters)` Deprecated. Add only absent parameters from argument.
    `NotifyingSailConnection` | `getConnection()` Deprecated. Opens a connection on the Sail which can be used to query and update data.
    `Properties` | `getParameters()` Deprecated.
    `void` | `initialize()` Deprecated. Initializes the Sail.
    `Statement` | `mapStatement(Statement statement)` Deprecated. Copy of `LuceneSail.mapStatement(org.eclipse.rdf4j.model.Statement)`
    `void` | `setParameters(Properties parameters)` Deprecated. Replaces existing parameters.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.NotifyingSailWrapper

      `addSailChangedListener, getBaseSail, removeSailChangedListener, setBaseSail`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.SailWrapper

      `getDataDir, getDefaultIsolationLevel, getSupportedIsolationLevels, getValueFactory, isWritable, setDataDir, setFederatedServiceResolver, shutDown, verifyBaseSailSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.Sail

      `getDataDir, getDefaultIsolationLevel, getSupportedIsolationLevels, getValueFactory, init, isWritable, setDataDir, shutDown`

- - ### Constructor Detail

    - #### LuceneSpinSail

          public LuceneSpinSail()

      Deprecated.

    - #### LuceneSpinSail

          public LuceneSpinSail(SpinSail baseSail)

      Deprecated.

  - ### Method Detail

    - #### getParameters

          public Properties getParameters()

      Deprecated.

    - #### setParameters

          public void setParameters(Properties parameters)

      Deprecated.
      Replaces existing parameters.

      By default parameters field is instantiated in constructor. Using this method replaces the existing field. If you wish only add missing parameters use `addAbsentParameters(java.util.Properties)`.

      Parameters:
        `parameters` -

    - #### addAbsentParameters

          public void addAbsentParameters(Properties parameters)

      Deprecated.
      Add only absent parameters from argument.
      Parameters:
        `parameters` -
      See Also:
        `Hashtable.putIfAbsent(java.lang.Object, java.lang.Object)`

    - #### initialize

          public void initialize()
                          throws SailException

      Deprecated.
      Description copied from interface: `Sail`
      Initializes the Sail. Care should be taken that required initialization parameters have been set before this method is called. Please consult the specific Sail implementation for information about the relevant parameters.
      Specified by:
        `initialize` in interface `Sail`
      Overrides:
        `initialize` in class `SailWrapper`
      Throws:
        `SailException`

    - #### getConnection

          public NotifyingSailConnection getConnection()
                                                throws SailException

      Deprecated.
      Description copied from interface: `Sail`
      Opens a connection on the Sail which can be used to query and update data. Depending on how the implementation handles concurrent access, a call to this method might block when there is another open connection on this Sail.
      Specified by:
        `getConnection` in interface `NotifyingSail`
      Specified by:
        `getConnection` in interface `Sail`
      Overrides:
        `getConnection` in class `NotifyingSailWrapper`
      Returns:
        sail connection
      Throws:
        `SailException`

    - #### mapStatement

          public Statement mapStatement(Statement statement)

      Deprecated.
      Copy of `LuceneSail.mapStatement(org.eclipse.rdf4j.model.Statement)`
      Parameters:
        `statement` -
      Returns:

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.